#### Description:

This function stores a comment card ( i.e. a card with no keyword name or equals sign) within a FitsChan at the current card position. The new card can either over-write an existing card, or can be inserted as a new card into the FitsChan.

#### Synopsis

void astSetFitsCM( AstFitsChan ∗this, const char ∗comment, int overwrite )

#### Parameters:

##### this

Pointer to the FitsChan.

##### comment

A pointer to a null terminated string holding the text of the comment card. If a NULL pointer or a blank string is supplied, then a totally blank card is produced.

##### overwrite

If non-zero, the new card over-writes the current card, and the current card is incremented to refer to the next card (see the `"` Card`"` attribute). If zero, the new card is inserted in front of the current card and the current card is left unchanged. In either case, if the current card on entry points to the `"` end-of-file`"` , the new card is appended to the end of the list.

#### Notes:

- If, on exit, there are no cards following the card written by this function, then the current card is left pointing at the `"` end-of-file`"` .

Copyright (C) 2021 East Asian Observatory